// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Serialization;
namespace XGame.Database
{
    /// <summary>
    /// 奖励物品配置
    /// </summary>
    public sealed class Award : ISerializable
    {
        public string GameObjectId { get; private set; }
        public long Count { get; private set; }
        public int WeightValue { get; private set; }

        void ISerializable.Deserialize(IReader reader)
        {
            GameObjectId = reader.ReadString();
            Count = reader.ReadLong();
            WeightValue = reader.ReadInt();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(GameObjectId);
            writer.Write(Count);
            writer.Write(WeightValue);
        }
    }
}
